<script setup lang="ts">
import { globalBack } from '@/router'
import dict from '@/utils/dict'

defineOptions({ name: 'WordTableTest' })

const data = dict.pop('/subject/learnWord/word-table-test')
if (!data) {
  globalBack()
}

const { params, subtitle } = data || {}
const emptyText = `【${subtitle}】暂无单词，请更换学习范围`
</script>

<template>
  <word-game :subtitle="subtitle" :params="params" :empty-text="emptyText" />
</template>
